%define major		26
%define gi_major	0.7
%define libname		%mklibname %{name} %{major}
%define libeds		%mklibname %{name}-eds %{major}
%define libtelepathy	%mklibname %{name}-telepathy %{major}
%define girname		%mklibname %{name}-gir %{gi_major}
%define develname	%mklibname %{name} -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

%bcond_with zeitgeist

Name:		folks
Version:	0.15.9
Release:	%mkrel 2
Summary:	Aggregates people from multiple sources to create metacontacts
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		https://wiki.gnome.org/Projects/Folks
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch1:         0001-Fix-.typelib-lib-requires.patch
# Bump EDS test timeout to 60 secs so add-contacts-stress-test
# doesn't time out on some arches
Patch100:       folks-eds-test-timeout.patch

BuildRequires:	pkgconfig(telepathy-glib)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(libebook-1.2)
BuildRequires:	pkgconfig(libedataserver-1.2) >= 3.33.2
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(sysprof-capture-4)
BuildRequires:	pkgconfig(telepathy-glib)
%if %{with zeitgeist}
BuildRequires:	pkgconfig(zeitgeist-2.0)
%endif
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(readline)
BuildRequires:	gettext
BuildRequires:	meson
BuildRequires:	vala
BuildRequires:	python3-dbusmock

%description
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package common
Group:		Networking/Instant messaging
Summary:	Common files for %{name}
Obsoletes:	%{name}-i18n < 0.7.2.1

%description common
This package contains common files for %{name}.

%package bluez-backend
Group:          Networking/Instant messaging
Summary:        Bluetooth Phonebook Access Profile backend for folks
Conflicts:      %{_lib}folks25 < 0.12.1-3

%description bluez-backend
libfolks backend which loads Personas from paired Bluetooth
devices using the Phonebook Access Protocol (PBAP) and presents them
using one PersonaStore per device.

%package eds-backend
Group:		Networking/Instant messaging
Summary:	EDS backend for folks
Conflicts:	%{_lib}folks25 < 0.12.1-3

%description eds-backend
libfolks backend which connects to EDS and creates a PersonaStore for each
service.

%package ofono-backend
Group:          Networking/Instant messaging
Summary:        Ofono backend for folks
Conflicts:      %{_lib}folks25 < 0.12.1-3

%description ofono-backend
libfolks backend which loads Personas from Modem devices using the Ofono
Phonebook D-Bus API and presents them using one PersonaStore per device.

%package telepathy-backend
Group:          Networking/Instant messaging
Summary:        Telepathy backend for folks
Conflicts:	%{_lib}folks25 < 0.12.1-3

%description telepathy-backend
libfolks backend which connects to the Telepathy accounts service and creates
a PersonaStore for each valid account known to Telepathy.

%package -n %{libname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{name}-common >= %{version}-%{release}

%description -n %{libname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

%package -n %{libeds}
Group:          System/Libraries
Summary:        Aggregates people from multiple sources to create metacontacts
Conflicts:	%{_lib}folks25 < 0.12.1-3
Requires:	%{name}-eds-backend >= %{version}-%{release}

%description -n %{libeds}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

%package -n %{libtelepathy}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Conflicts:	%{_lib}folks25 < 0.12.1-3
Requires:	%{name}-telepathy-backend >= %{version}-%{release}

%description -n %{libtelepathy}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

%package -n %{develname}
Group:		Development/C
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libeds} = %{version}-%{release}
Requires:	%{libtelepathy} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts. It's written in Vala (in part to evaluate Vala).
The initial goal is for GObject/C support, though the Vala bindings should
basically automatic.

%package -n %{girname}
Group:		System/Libraries
Summary:	Aggregates people from multiple sources to create metacontacts
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
libfolks is a library that aggregates people from multiple sources (eg,
Telepathy connection managers and eventually evolution data server, Facebook,
etc.) to create metacontacts.

This package contains the Gir-repository typelib for %{name}.

%files common -f %{name}.lang
%{_datadir}/glib-2.0/schemas/org.freedesktop.folks.gschema.xml
%{_datadir}/GConf/gsettings/folks.convert

%files
%doc AUTHORS README.md
%{_bindir}/folks-*

%files bluez-backend
%{_libdir}/folks/*/backends/bluez/

%files eds-backend
%{_libdir}/folks/*/backends/eds/

%files ofono-backend
%{_libdir}/folks/*/backends/ofono/

%files telepathy-backend
%{_libdir}/folks/*/backends/telepathy/

%files -n %{libname}
%{_libdir}/libfolks.so.%{major}{,.*}
%dir %{_libdir}/folks
%dir %{_libdir}/folks/*/
%dir %{_libdir}/folks/*/backends/
%{_libdir}/folks/*/backends/key-file/
# dummy
%{_libdir}/libfolks-dummy.so.%{major}{,.*}
%{_libdir}/folks/*/backends/dummy/

%files -n %{libeds}
%{_libdir}/libfolks-eds.so.%{major}{,.*}

%files -n %{libtelepathy}
%{_libdir}/libfolks-telepathy.so.%{major}{,.*}

%files -n %{develname}
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/folks/
%{_datadir}/vala/vapi/folks*
%{_datadir}/gir-1.0/Folks*%{gi_major}.gir

%files -n %{girname}
%{_libdir}/girepository-1.0/Folks*%{gi_major}.typelib

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%meson \
	-Deds_backend=true \
	-Dinspect_tool=true \
	-Dimport_tool=true \
	-Dprofiling=true \
	-Dzeitgeist=%{?with_zeitgeist:true}%{?!with_zeitgeist:false} \
%meson_build

%install
%meson_install

%find_lang %{name}


%changelog
* Sun Mar 16 2025 wally <wally> 0.15.9-2.mga10
+ Revision: 2164789
- rebuild for libxml2 2.13.6

* Sun Mar 24 2024 daviddavid <daviddavid> 0.15.9-1.mga10
+ Revision: 2051643
- new version 0.15.9

* Sun Mar 17 2024 daviddavid <daviddavid> 0.15.8-1.mga10
+ Revision: 2050146
- new version 0.15.8

* Sun Jan 21 2024 daviddavid <daviddavid> 0.15.7-1.mga10
+ Revision: 2033358
- new version 0.15.7

* Sun Apr 23 2023 wally <wally> 0.15.6-3.mga9
+ Revision: 1954382
- fix .typelib library requires

* Sun Apr 23 2023 daviddavid <daviddavid> 0.15.6-2.mga9
+ Revision: 1954353
- add patch to fix typelib dependencies reverting upstream commit:
  * https://gitlab.gnome.org/GNOME/folks/-/commit/fe4ee7e7
- enable profiling

* Fri Apr 21 2023 tmb <tmb> 0.15.6-1.mga9
+ Revision: 1953868
- update to 0.15.6

* Mon Sep 19 2022 tv <tv> 0.15.5-2.mga9
+ Revision: 1890392
- tracker backend is long dead
- Rebuild for new eds
+ ovitters <ovitters>
- new version 0.15.5
- new version 0.15.4

* Sun Jul 18 2021 ovitters <ovitters> 0.15.3-1.mga9
+ Revision: 1736879
- new version 0.15.3

* Sat Mar 27 2021 ovitters <ovitters> 0.15.2-3.mga9
+ Revision: 1711104
- rebuild for evolution-data-server

* Sat Mar 06 2021 wally <wally> 0.15.2-2.mga9
+ Revision: 1700229
- loosen lib pkg backend requires

* Tue Mar 02 2021 daviddavid <daviddavid> 0.15.2-1.mga9
+ Revision: 1696036
- new version: 0.15.2
- now libmajor is 26
- now gir api is 0.7

* Thu Aug 13 2020 ovitters <ovitters> 0.14.0-2.mga8
+ Revision: 1613756
- rebuild for evolution-data-server

* Wed Mar 11 2020 ovitters <ovitters> 0.14.0-1.mga8
+ Revision: 1555479
- new version 0.14.0

* Wed Feb 19 2020 daviddavid <daviddavid> 0.13.2-1.mga8
+ Revision: 1542292
- new version: 0.13.2
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Sat Jan 04 2020 luigiwalser <luigiwalser> 0.13.1-2.mga8
+ Revision: 1475943
- rebuild for readline

* Fri Aug 09 2019 tv <tv> 0.13.1-1.mga8
+ Revision: 1428378
- new release
- rebuild with latest libebook*

* Sat Jun 29 2019 wally <wally> 0.12.1-3.mga8
+ Revision: 1416094
- split out backends and related libs

* Sat May 25 2019 wally <wally> 0.12.1-2.mga7
+ Revision: 1399068
- follow upstream and disable zeitgeist and tracker backends by default
- update URL

* Wed May 01 2019 daviddavid <daviddavid> 0.12.1-1.mga7
+ Revision: 1396008
- new version: 0.12.1
- switch to meson build system

* Thu Mar 14 2019 daviddavid <daviddavid> 0.11.4-6.mga7
+ Revision: 1376182
- rebuild for new evolution-data-server

* Sun Sep 23 2018 umeabot <umeabot> 0.11.4-5.mga7
+ Revision: 1297736
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Tue Feb 20 2018 ovitters <ovitters> 0.11.4-4.mga7
+ Revision: 1203754
- rebuild for libedataserver

* Tue Jan 02 2018 wally <wally> 0.11.4-3.mga7
+ Revision: 1189424
- rebuild for new readline

* Wed Oct 11 2017 tv <tv> 0.11.4-2.mga7
+ Revision: 1170967
- rebuild for new libebook

* Tue Jul 18 2017 ovitters <ovitters> 0.11.4-1.mga7
+ Revision: 1124695
- new version 0.11.4

* Mon Sep 26 2016 tv <tv> 0.11.3-2.mga6
+ Revision: 1056842
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Wed Sep 21 2016 ovitters <ovitters> 0.11.3-1.mga6
+ Revision: 1054815
- new version 0.11.3

* Mon Sep 19 2016 tv <tv> 0.11.2-3.mga6
+ Revision: 1054138
- rebuid for proper typelib() provides
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Fri Nov 27 2015 ovitters <ovitters> 0.11.2-1.mga6
+ Revision: 906419
- new version 0.11.2

* Thu Sep 24 2015 tv <tv> 0.11.1-1.mga6
+ Revision: 883123
- drop merged patches
- new release

* Wed Aug 26 2015 sander85 <sander85> 0.10.1-5.mga6
+ Revision: 869789
- Rebuild for evolution-data-server 3.17.90

* Tue Jun 30 2015 wally <wally> 0.10.1-4.mga6
+ Revision: 848858
- rebuild to get more typelib() requires

* Sun Jun 28 2015 wally <wally> 0.10.1-3.mga6
+ Revision: 847179
- add requires for gir pkg to devel pkg

* Wed Feb 18 2015 luigiwalser <luigiwalser> 0.10.1-2.mga5
+ Revision: 815734
- call autoreconf because of patches
- add upstream patches to fix build with new evolution-data-server
- rebuild for evolution-data-server

* Mon Jan 19 2015 ovitters <ovitters> 0.10.1-1.mga5
+ Revision: 811532
- new version 0.10.1

* Wed Oct 15 2014 umeabot <umeabot> 0.10.0-4.mga5
+ Revision: 739418
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tv <tv> 0.10.0-3.mga5
+ Revision: 731134
- rebuild so that it picks typelib() requires

* Tue Sep 16 2014 umeabot <umeabot> 0.10.0-2.mga5
+ Revision: 679252
- Mageia 5 Mass Rebuild

* Fri Sep 12 2014 ovitters <ovitters> 0.10.0-1.mga5
+ Revision: 674856
- new version 0.10.0

* Wed Aug 13 2014 ovitters <ovitters> 0.9.8-1.mga5
+ Revision: 662187
- new version 0.9.8

* Wed Jul 30 2014 pterjan <pterjan> 0.9.7.1-2.mga5
+ Revision: 658274
- Rebuild for new evolution-data-server

* Tue Jun 24 2014 ovitters <ovitters> 0.9.7.1-1.mga5
+ Revision: 639281
- new version 0.9.7.1
- new version 0.9.7

* Wed Nov 20 2013 ovitters <ovitters> 0.9.6-2.mga4
+ Revision: 552005
- fix buildrequires

* Wed Nov 06 2013 ovitters <ovitters> 0.9.6-1.mga4
+ Revision: 549814
- new version 0.9.6

* Sat Oct 19 2013 umeabot <umeabot> 0.9.5-2.mga4
+ Revision: 533227
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 ovitters <ovitters> 0.9.5-1.mga4
+ Revision: 472222
- new version 0.9.5

* Sun Aug 18 2013 fwang <fwang> 0.9.4-3.mga4
+ Revision: 467491
- rebuild for new eds

* Sun Aug 04 2013 fwang <fwang> 0.9.4-2.mga4
+ Revision: 463244
- use vala-devel
+ wally <wally>
- fix common subpkg summary

* Sat Aug 03 2013 wally <wally> 0.9.4-1.mga4
+ Revision: 462870
- export PKG_CONFIG_PATH to fix build
- remove unneeded vala-tools BR
+ dams <dams>
- fix build by disabling fatal warnings
- update file lists
- add 'vala' and 'readline-devel' as BR
- enable vala
+ ovitters <ovitters>
- new version 0.9.4

* Sat Jun 08 2013 ovitters <ovitters> 0.9.2-1.mga4
+ Revision: 440398
- new version 0.9.2

* Sat May 25 2013 ovitters <ovitters> 0.9.1-1.mga4
+ Revision: 427439
- fix br
- new version 0.9.1

* Fri Jan 11 2013 umeabot <umeabot> 0.8.0-2.mga3
+ Revision: 350624
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 04 2012 ovitters <ovitters> 0.8.0-1.mga3
+ Revision: 302753
- new version 0.8.0

* Wed Sep 12 2012 ovitters <ovitters> 0.7.4.1-1.mga3
+ Revision: 292510
- new version 0.7.4.1
- new version 0.7.4

* Sun Jul 29 2012 ovitters <ovitters> 0.7.3-1.mga3
+ Revision: 275788
- new version 0.7.3

* Tue Jul 03 2012 ovitters <ovitters> 0.7.2.2-1.mga3
+ Revision: 267002
- drop merged requires patch
- new version 0.7.2.2

* Sun Jul 01 2012 ovitters <ovitters> 0.7.2.1-1.mga3
+ Revision: 266368
- put gschema and i18n files under new common subpackage
- br zeitgeist-1.0
- add patch to fix eds requirement
- update buildrequires
- new version 0.7.2.1

* Mon Apr 16 2012 ovitters <ovitters> 0.6.9-1.mga2
+ Revision: 231097
- new version 0.6.9

* Tue Mar 27 2012 ovitters <ovitters> 0.6.8-1.mga2
+ Revision: 227001
- new version 0.6.8

* Thu Feb 23 2012 ovitters <ovitters> 0.6.7-1.mga2
+ Revision: 212599
- new version

* Mon Jan 23 2012 dmorgan <dmorgan> 0.6.6-2.mga2
+ Revision: 200179
- Own %%{_libdir}/folks

* Wed Dec 14 2011 fwang <fwang> 0.6.6-1.mga2
+ Revision: 181552
- new version 0.6.6

* Mon Nov 21 2011 fwang <fwang> 0.6.5-2.mga2
+ Revision: 170379
- rebuild for new evo

* Fri Nov 11 2011 wally <wally> 0.6.5-1.mga2
+ Revision: 166717
- new version 0.6.5

* Sat Oct 29 2011 fwang <fwang> 0.6.4.1-2.mga2
+ Revision: 159480
- rebuild for new evo

* Tue Oct 18 2011 wally <wally> 0.6.4.1-1.mga2
+ Revision: 156382
- new version 0.6.4.1
- bump major back to 25

* Tue Oct 18 2011 fwang <fwang> 0.6.4-1.mga2
+ Revision: 156052
- update libmajor
- new version 0.6.4

* Tue Sep 27 2011 ovitters <ovitters> 0.6.3.2-1.mga2
+ Revision: 149183
- new version 0.6.3.2

* Sat Sep 24 2011 fwang <fwang> 0.6.3.1-1.mga2
+ Revision: 147151
- new version 0.6.3.1

* Mon Sep 19 2011 fwang <fwang> 0.6.3-1.mga2
+ Revision: 145229
- new version 0.6.3

* Sat Sep 10 2011 wally <wally> 0.6.2.1-2.mga2
+ Revision: 142149
- disable tracker backend as it's not recommended to use it

* Fri Sep 09 2011 fwang <fwang> 0.6.2.1-1.mga2
+ Revision: 141710
- update file list
- new version 0.6.2.1

* Mon Aug 29 2011 fwang <fwang> 0.6.1-1.mga2
+ Revision: 136121
- new version 0.6.1
- requires tracker 0.12
- rebuild for new tracker
+ wally <wally>
- add more tracker0.11 patching
- clean patch from unwanted chunks
- new version 0.6.0
- new major 25
- enable tracker and evolution-data-server backends
- disable regenerating vala bindings for now as it fails
  due to vala isn't enabled in evolution-data-server and
  use ones provided by upstream
- clean .spec a bit

* Sat Jul 16 2011 ahmad <ahmad> 0.5.2-2.mga2
+ Revision: 124670
- Add a patch from upstream to fix build with vala >= 0.13.1
- The lib package shouldn't require the -gir one
- Convert the BR to pkgconfig style

* Sun Jul 03 2011 ahmad <ahmad> 0.5.2-1.mga2
+ Revision: 117589
- Update to 0.5.2
- Bump BR vala-devel version
- Split the gir typelib in a separate sub-package to ease lib major upgrades
- Compile with --enable-vala (otherwise BR vala-devel is useless)

* Tue Apr 05 2011 dams <dams> 0.4.2-1.mga1
+ Revision: 80745
- update to 0.4.2, new major, add translations and add a better buildrequire on telepathy-glib
- update to 0.4.2

* Sun Feb 20 2011 eandry <eandry> 0.2.1-2.mga1
+ Revision: 54862
- drop buildroot
- imported package folks


* Tue Oct 26 2010 Götz Waschk <waschk@mandriva.org> 0.2.1-1mdv2011.0
+ Revision: 589430
- new version
- new library major

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.2.0-1mdv2011.0
+ Revision: 579959
- new version
- update deps
- new directory version

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.1.17-1mdv2011.0
+ Revision: 577153
- new version
- new dir version
- add folks-import
- add vala vapi files

* Wed Sep 01 2010 Götz Waschk <waschk@mandriva.org> 0.1.16-1mdv2011.0
+ Revision: 575173
- update to new version 0.1.16

* Fri Aug 27 2010 Götz Waschk <waschk@mandriva.org> 0.1.15-1mdv2011.0
+ Revision: 573462
- new version
- new dir version

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.1.14.1-1mdv2011.0
+ Revision: 571214
- update to new version 0.1.14.1

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.1.14-1mdv2011.0
+ Revision: 571200
- update build deps
- new version
- drop patch
- bump vala dep

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.1.13-1mdv2011.0
+ Revision: 569148
- new version
- patch for new vala
- new plugin directory version

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 0.1.12-1mdv2011.0
+ Revision: 565158
- new version
- update file list

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.1.11-1mdv2011.0
+ Revision: 565082
- import folks


